%define version 3.14.1
%define release alt1
%setup_python_module PyQt

Summary: Python bindings for Qt.
Name: %packagename
Version: %version
Release: %release.1.1.1.1
License: GPL
Group: Development/Python
Source0: %modulename-x11-gpl-%version.tar.gz
URL: http://www.riverbankcomputing.co.uk/pyqt/
Requires: libqscintilla >= 1.4
Requires: python%__python_package_version-module-sip >= 4.2
Packager: Python Development Team <python@packages.altlinux.org>
%(echo Requires: `rpmquery --queryformat "%{NAME} = %{VERSION}-%{RELEASE}" libqt3`)

Provides: %modulename = %version-%release
Obsoletes: %modulename

BuildPreReq: python%__python_package_version-module-sip-devel >= 4.2

# Automatically added by buildreq on Thu Apr 10 2003
BuildRequires: xorg-x11-devel xorg-x11-libs fontconfig freetype2 gcc-c++ libGLU-devel libXft libexpat libjpeg liblcms libmng libqscintilla-devel >= 1.4  libqt3-devel libstdc++-devel zlib-devel

%description
Python bindings for the Qt C++ class library.  Also includes a PyQt backend
code generator for Qt Designer.

%package devel
Requires: %name = %version-%release
Summary:  Sip files for %name
Group: Development/Python
Obsoletes: %modulename-devel

%description devel
Sip files for PyQt to build extension

%package examples
Summary: %modulename examples
Group: Development/Python
Requires: %name

%description examples
This package contains PyQt examples 


%prep
%setup -n %modulename-x11-gpl-%version

%build
export QTDIR=%_libdir/qt3

echo 'yes' | %__python configure.py
make

%install

export QTDIR=%_libdir/qt3
make install DESTDIR=%buildroot

%files
%_bindir/*
%python_sitelibdir/*
%doc NEWS README ChangeLog doc/*.html

%files devel
%dir %_datadir/sip
%_datadir/sip/*

%files examples
%doc examples3

%changelog
* Thu Jun 16 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.14.1-alt1.1.1.1.1
- Rebuilt with libqt3.

* Thu Jun 02 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.14.1-alt1.1.1.1
- Rebuild with new libgnutls.so.11 .

* Tue Apr 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.14.1-alt1.1.1
- Rebuilt with libqt3

* Fri Mar 25 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.14.1-alt1.1
- Rebuilt with libqt3

* Sat Mar 12 2005 Ivan Fedorov <ns@altlinux.ru> 3.14.1-alt1
- 3.14.1
- rebuild with python 2.4

* Sat Mar 05 2005 Ivan Fedorov <ns@altlinux.ru> 3.14-alt2
- small fix spec

* Mon Feb 21 2005 Ivan Fedorov <ns@altlinux.ru> 3.14-alt1
- 3.14

* Fri Feb 04 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.13-alt4.1.1
- Rebuilt with qt3-3.3.4

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.13-alt4.1
- Rebuilt with libstdc++.so.6.

* Mon Dec 27 2004 Ivan Fedorov <ns@altlinux.ru> 3.13-alt4
- fixing requires (libqt3)

* Sun Dec 12 2004 Ivan Fedorov <ns@altlinux.ru> 3.13-alt3
- fix spec to be compatible with python policy

* Wed Oct 27 2004 Eugene V. Horohorin <genix@altlinux.ru> 3.13-alt2
- fix sip>=4.1 requires bug (#5323)

* Fri Sep 24 2004 Eugene V. Horohorin <genix@altlinux.org> 3.13-alt1
- new release

* Tue Sep 21 2004 Eugene V. Horohorin <genix@altlinux.ru> 3.12-alt2
- new buildrequires

* Thu Sep 02 2004 Eugene V. Horohorin <genix@altlinux.ru> 3.12-alt1
- new release
- removed macros (_findprov_lib_path)
- spec cleanup

* Fri Aug 01 2003 Serge Sergeev <ssv@altlinux.ru> 3.7-alt2
- added _findprov_lib_path macro to temporary solve problem with dependencies

* Tue Jul 08 2003 Serge Sergeev <ssv@altlinux.ru> 3.7-alt1
- new release

* Mon Apr 28 2003 Serge Sergeev <ssv@altlinux.ru> 3.6-alt1
- new release

* Thu Apr 10 2003 Serge Sergeev <ssv@altlinux.ru> 3.6-alt0.1
- New build from snapshot

* Fri Dec 20 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt2
- comment patch added ( this comment line needs for eric )
- add devel package ( need to build some extension of qt )

* Tue Dec 17 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt1
- build with qscintilla
- new release

* Mon Dec 16 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt0.1.20021205
- correct version

* Sat Dec 07 2002 Serge Sergeev <ssv@altlinux.ru> 20021205-alt1
- build from snapshot
- add documentation

* Tue Nov 05 2002 Serge Sergeev <ssv@altlinux.ru> 3.4-alt1
- new release

* Wed Sep 04 2002 Serge Sergeev <ssv@altlinux.ru> 3.3.2-alt1
- new release

* Thu Jul 25  2002 <sergeyssv@mail.ru>
- Initial release

